---
identifier: "GMS-2013-3"
package_slug: "gem/delayed_job_active_record"
title: "Man-in-the-Middle"
description: "This package is vulnerable to Man-in-the-middle (MitM) attacks due to
  attacks due to downloading gems over an insecure protocol. Without a secure connection,
  it is possible for an attacker to intercept this connection and alter the packages
  received. In serious cases, this may even lead to Remote Code Execution (RCE) on
  your host server."
date: "2013-02-13"
pubdate: "2013-02-13"
affected_range: ">=0.2.0 <0.2.2||>=0.4.0 <0.4.2"
fixed_versions:
- "0.2.2"
- "0.4.2"
affected_versions: "All versions starting from 0.2.0 before 0.2.2, all versions starting
  from 0.4.0 before 0.4.2"
solution: "Upgrade to latest version."
urls:
- "https://github.com/collectiveidea/delayed_job_active_record/commit/3436dd0921daff15e7e1f87f1da0384138c582cc"
credit: "Erik Berlin"
uuid: "3888a429-bc20-4d2d-b316-1d924dc3f974"
